public void AddContourPoint(
            Dynamic.Tekla.Structures.Model.ContourPoint Point_)
        {
            var Point = Dynamic.Tekla.Structures.Model.ContourPoint_.GetTSObject(Point_);

            try
            {
                teklaObject.AddContourPoint(Point);
            }
            catch (Microsoft.CSharp.RuntimeBinder.RuntimeBinderException ex)
            {
                throw DynamicAPINotFoundException.CouldNotFindMethod(nameof(AddContourPoint), ex);
            }
        }
        public System.Boolean AddContourPoint(
            Dynamic.Tekla.Structures.Model.ContourPoint contourPoint_)
        {
            var contourPoint = Dynamic.Tekla.Structures.Model.ContourPoint_.GetTSObject(contourPoint_);

            try
            {
                var result = (System.Boolean)teklaObject.AddContourPoint(contourPoint);

                return(result);
            }
            catch (Microsoft.CSharp.RuntimeBinder.RuntimeBinderException ex)
            {
                throw DynamicAPINotFoundException.CouldNotFindMethod(nameof(AddContourPoint), ex);
            }
        }